      module Vceqdsk
C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01  
      use Vparam, only: nxa, nza, nptsdm, nprofm, nza2,
     1                  inoperm, nprofm2, lrza, nions
      character(8) :: codeid, dat
      character(40) :: ntitle
      integer   nlim, nlimiter, lrz, nprim, nimp, nion, nti
      integer   iounit1, inoperm1, nptsdm1, nptsd
      integer   ieqdsk
      integer   ipestg, nxeqd, nzeqd
      integer   imodeq, liw, lw, ifail
      integer, dimension(nprofm) :: ncontr
      integer, dimension(4) :: iw
      real   psiadj
      real   funcmin
      real   xxx, zzz
      real   dpolflx, psieqd
      real   tpsisav, dang, bperr, arcl
      real   xdimeqd, zdimeqd, reqd, redeqd, zmideqd, xma, zma, psimag, 
     1   psilim, beqd, toteqd, psimx1, psimx2, xax1, xax2, zax1, zax2, 
     2   psisep, xsep, zsep
      real, dimension(nxa) :: feqd, presseqd, ffpeqd, ppeqd
      real, dimension(nxa,nza) :: peqd
      real, dimension(nxa) :: qeqd
      real, dimension(nxa) :: xeqd
      real, dimension(nza) :: zeqd
      real, dimension(2) :: bl, bu, psith
      real, dimension(40) :: work
      real, dimension(nxa) :: tpsieqd, tpsifeqd
      real, dimension(nxa) :: torflux
      real, dimension(nprofm) :: ra
      real, dimension(nprofm,4) :: psifra
      real, dimension(nprofm) :: dpsifra
      real, dimension(nprofm,4) :: fra, fra1
      real, dimension(2,nxa,nza2) :: cspln
      real, dimension(6) :: pds
      real, dimension(inoperm) :: wnoperm
      real, dimension(nprofm) :: pprime, vprime, chipsi
      real, dimension(nptsdm) :: thet, anglex
      real, dimension(2,nptsdm,nprofm2) :: csplnx, csplnz
      real, dimension(6) :: pdsx, pdsz
      real, dimension(nptsdm) :: rlim, zlim, rlimiter, zlimiter
      real, dimension(lrza,nions) :: zi
      real, dimension(lrza) :: zeffz, r, raeqd, psifeqd, te
      real, dimension(lrza,nions) :: ti
      real, dimension(lrza) :: ti1, ene
      real, dimension(lrza,nions) :: enp
      real, dimension(nxa,nza) :: bmod
      real, dimension(2*nprofm - 1) :: rmd, btmd, bpmd, btpmd
      real, dimension(nprofm) :: roa
      real, dimension(nptsdm,nprofm) :: xcontr, zcontr, bpcontr, btcontr
     1   , dstarp, b_fld, jacob
      end module Vceqdsk
